Tax Filing
curl --request GET \
--url https://api.joinworth.com/integration/api/v1/accounting/tax-filing/business/{businessID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.joinworth.com/integration/api/v1/accounting/tax-filing/business/{businessID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.joinworth.com/integration/api/v1/accounting/tax-filing/business/{businessID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "success",
"data": {
"annual_data": [
{
"period": 2020,
"business_type": "BUSINESS",
"total_sales": 28264,
"total_compensation": 0,
"total_wages": 23519,
"irs_balance": 0,
"lien_balance": 0,
"cost_of_goods_sold": 0,
"quarterlyData": [
{
"periodYear": 2020,
"periodMonth": 3,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2020,
"periodMonth": 6,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2020,
"periodMonth": 9,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2020,
"periodMonth": 12,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
}
]
},
{
"period": 2021,
"business_type": "BUSINESS",
"total_sales": 39381,
"total_compensation": 0,
"total_wages": 33854,
"irs_balance": 0,
"lien_balance": 0,
"cost_of_goods_sold": 0,
"quarterlyData": [
{
"periodYear": 2021,
"periodMonth": 3,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2021,
"periodMonth": 6,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2021,
"periodMonth": 9,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2021,
"periodMonth": 12,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
}
]
},
{
"period": 2022,
"business_type": "BUSINESS",
"total_sales": 49549,
"total_compensation": 0,
"total_wages": 35655,
"irs_balance": 0,
"lien_balance": 0,
"cost_of_goods_sold": 0,
"quarterlyData": [
{
"periodYear": 2022,
"periodMonth": 3,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2022,
"periodMonth": 6,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2022,
"periodMonth": 9,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2022,
"periodMonth": 12,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
}
]
},
{
"period": 2023,
"business_type": "BUSINESS",
"total_sales": 0,
"total_compensation": 0,
"total_wages": 0,
"irs_balance": 0,
"lien_balance": 0,
"cost_of_goods_sold": 0,
"quarterlyData": [
{
"periodYear": 2023,
"periodMonth": 3,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2023,
"periodMonth": 6,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2023,
"periodMonth": 9,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2023,
"periodMonth": 12,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
}
]
}
],
"is_consent_provided": true,
"irs_status": "COMPLETED",
"version": 2
}
}This response has no body data.Business Details
Tax Filing
Retrieve annualized tax data associated with a particular businessID
GET
/
accounting
/
tax-filing
/
business
/
{businessID}
Tax Filing
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"a737498d-1d76-4c88-bdbb-eaa3e84e8c2f"
Response
OK
Show child attributes
Show child attributes
Example:
{
"annual_data": [
{
"period": 2020,
"business_type": "BUSINESS",
"total_sales": 28264,
"total_compensation": 0,
"total_wages": 23519,
"irs_balance": 0,
"lien_balance": 0,
"cost_of_goods_sold": 0,
"quarterlyData": [
{
"periodYear": 2020,
"periodMonth": 3,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2020,
"periodMonth": 6,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2020,
"periodMonth": 9,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2020,
"periodMonth": 12,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
}
]
},
{
"period": 2021,
"business_type": "BUSINESS",
"total_sales": 39381,
"total_compensation": 0,
"total_wages": 33854,
"irs_balance": 0,
"lien_balance": 0,
"cost_of_goods_sold": 0,
"quarterlyData": [
{
"periodYear": 2021,
"periodMonth": 3,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2021,
"periodMonth": 6,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2021,
"periodMonth": 9,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2021,
"periodMonth": 12,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
}
]
},
{
"period": 2022,
"business_type": "BUSINESS",
"total_sales": 49549,
"total_compensation": 0,
"total_wages": 35655,
"irs_balance": 0,
"lien_balance": 0,
"cost_of_goods_sold": 0,
"quarterlyData": [
{
"periodYear": 2022,
"periodMonth": 3,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2022,
"periodMonth": 6,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2022,
"periodMonth": 9,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2022,
"periodMonth": 12,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
}
]
},
{
"period": 2023,
"business_type": "BUSINESS",
"total_sales": 0,
"total_compensation": 0,
"total_wages": 0,
"irs_balance": 0,
"lien_balance": 0,
"cost_of_goods_sold": 0,
"quarterlyData": [
{
"periodYear": 2023,
"periodMonth": 3,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2023,
"periodMonth": 6,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2023,
"periodMonth": 9,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
},
{
"periodYear": 2023,
"periodMonth": 12,
"form": "941",
"form_type": "ACTR",
"interest": "0",
"interest_date": "",
"penalty": "0",
"penalty_date": "",
"filed_date": "",
"balance": "0",
"tax_period_ending_date": "",
"amount_filed": "0"
}
]
}
],
"is_consent_provided": true,
"irs_status": "COMPLETED",
"version": 2
}
Was this page helpful?
⌘I